Index: frontend/src/main/java/org/hippoecm/faceteddate/editor/DatePickerPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/faceteddate/editor/DatePickerPlugin_it.properties	(revisione 31337)
+++ frontend/src/main/java/org/hippoecm/faceteddate/editor/DatePickerPlugin_it.properties	(copia locale)
@@ -1,4 +1,4 @@
 week-label=(settimana
 weekday-label=,
 yearday-label=, giorno
-close-label=del'anno)
+close-label=dell\u00b4anno)
Index: repository/src/main/resources/namespace-faceteddate.xml
===================================================================
--- repository/src/main/resources/namespace-faceteddate.xml	(revisione 31337)
+++ repository/src/main/resources/namespace-faceteddate.xml	(copia locale)
@@ -66,7 +66,7 @@
       <sv:value>it</sv:value>
     </sv:property>
     <sv:property sv:name="hippo:message" sv:type="String">
-      <sv:value>Dato sfaccettato</sv:value>
+      <sv:value>Data formattata</sv:value>
     </sv:property>
   </sv:node>
   <sv:node sv:name="hippo:translation">
@@ -313,6 +313,126 @@
       <sv:value>hippo:translation</sv:value>
     </sv:property>
     <sv:property sv:name="hippo:language" sv:type="String">
+      <sv:value>it</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:message" sv:type="String">
+      <sv:value>luned&#x00ec;</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:property" sv:type="String">
+      <sv:value>hippostd:dayofweek</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:value" sv:type="String">
+      <sv:value>1</sv:value>
+    </sv:property>
+  </sv:node>
+  <sv:node sv:name="hippo:translation">
+    <sv:property sv:name="jcr:primaryType" sv:type="Name">
+      <sv:value>hippo:translation</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:language" sv:type="String">
+      <sv:value>it</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:message" sv:type="String">
+      <sv:value>marted&#x00ec;</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:property" sv:type="String">
+      <sv:value>hippostd:dayofweek</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:value" sv:type="String">
+      <sv:value>2</sv:value>
+    </sv:property>
+  </sv:node>
+  <sv:node sv:name="hippo:translation">
+    <sv:property sv:name="jcr:primaryType" sv:type="Name">
+      <sv:value>hippo:translation</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:language" sv:type="String">
+      <sv:value>it</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:message" sv:type="String">
+      <sv:value>mercoled&#x00ec;</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:property" sv:type="String">
+      <sv:value>hippostd:dayofweek</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:value" sv:type="String">
+      <sv:value>3</sv:value>
+    </sv:property>
+  </sv:node>
+  <sv:node sv:name="hippo:translation">
+    <sv:property sv:name="jcr:primaryType" sv:type="Name">
+      <sv:value>hippo:translation</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:language" sv:type="String">
+      <sv:value>it</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:message" sv:type="String">
+      <sv:value>gioved&#x00ec;</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:property" sv:type="String">
+      <sv:value>hippostd:dayofweek</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:value" sv:type="String">
+      <sv:value>4</sv:value>
+    </sv:property>
+  </sv:node>
+  <sv:node sv:name="hippo:translation">
+    <sv:property sv:name="jcr:primaryType" sv:type="Name">
+      <sv:value>hippo:translation</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:language" sv:type="String">
+      <sv:value>it</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:message" sv:type="String">
+      <sv:value>venerd&#x00ec;</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:property" sv:type="String">
+      <sv:value>hippostd:dayofweek</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:value" sv:type="String">
+      <sv:value>5</sv:value>
+    </sv:property>
+  </sv:node>
+  <sv:node sv:name="hippo:translation">
+    <sv:property sv:name="jcr:primaryType" sv:type="Name">
+      <sv:value>hippo:translation</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:language" sv:type="String">
+      <sv:value>it</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:message" sv:type="String">
+      <sv:value>sabato</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:property" sv:type="String">
+      <sv:value>hippostd:dayofweek</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:value" sv:type="String">
+      <sv:value>6</sv:value>
+    </sv:property>
+  </sv:node>
+  <sv:node sv:name="hippo:translation">
+    <sv:property sv:name="jcr:primaryType" sv:type="Name">
+      <sv:value>hippo:translation</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:language" sv:type="String">
+      <sv:value>it</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:message" sv:type="String">
+      <sv:value>domenica</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:property" sv:type="String">
+      <sv:value>hippostd:dayofweek</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:value" sv:type="String">
+      <sv:value>7</sv:value>
+    </sv:property>
+  </sv:node>
+  
+  <sv:node sv:name="hippo:translation">
+    <sv:property sv:name="jcr:primaryType" sv:type="Name">
+      <sv:value>hippo:translation</sv:value>
+    </sv:property>
+    <sv:property sv:name="hippo:language" sv:type="String">
       <sv:value>fr</sv:value>
     </sv:property>
     <sv:property sv:name="hippo:message" sv:type="String">