Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/dialogs/HstPickerDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/dialogs/HstPickerDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/dialogs/HstPickerDialog_it.properties	(revisione 0)
@@ -0,0 +1 @@
+link-picker = Selettore di Collegamento
\ No newline at end of file
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/dialogs/HstSitemapItemPickerDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/dialogs/HstSitemapItemPickerDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/dialogs/HstSitemapItemPickerDialog_it.properties	(revisione 0)
@@ -0,0 +1 @@
+link-picker = Selettore di design di URL
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPanel_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPanel_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPanel_it.properties	(revisione 0)
@@ -0,0 +1,5 @@
+component.legend.description: Nota
+component.description: Descrizione
+component.icon: Miniatura
+icon.select: Seleziona miniatura
+icon.selected: Miniatura selezionata
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPanel$NoIconSelected$UploadDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPanel$NoIconSelected$UploadDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPanel$NoIconSelected$UploadDialog_it.properties	(revisione 0)
@@ -0,0 +1,2 @@
+dialog.upload.thumbnail: Carica un\u00b4immagine
+select-file-label: Carica un\u00b4immagine che descriva questo componente.
\ No newline at end of file
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPicker_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPicker_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/description/DescriptionPicker_it.properties	(revisione 0)
@@ -0,0 +1,4 @@
+selected: Questo design di pagina \u00e8 al momento selezionato
+unselected: Effettua un click per selezionare questo design di pagina
+
+picker.name.label: Nome: 
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/ComponentEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/ComponentEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/ComponentEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,18 @@
+title: Definisci un design di regione
+intro: <p>Un design di regione pu\u00f2 far riferimento ad un\u00b4altro design di regione. A quel punto pu\u00f2 utilizzare tutti gli elementi del design di regione al quale si riferisce. Inoltre \u00e8 possibile aggiungere pi\u00f9 parametri per ottimizzare il design di regione.</p><p>In caso contrario, \u00e8 necessario specificare un nome del tipo di componente e un modello. Il tipo di componente definisce quali informazioni vengono visualizzate nella regione e il modello definisce il modo in cui l\u00b4informazione \u00e8 mostrata nella regione (il layout e l\u00b4aspetto). Se non sono richieste informazioni particolari, il nome del tipo di componente si pu\u00f2 lasciare vuoto. Verr\u00e0 utilizzato un valore di default.</p><p>Alcuni tipi di componente possono essere minuziosamente regolate dai parametri. \u00c8 possibile aggiungere i parametri di seguito. I possibili nomi e i valori dei parametri dipendono dal tipo di componente.</p><p>Aggiungi una annotazione a questo design di regione per un riferimento futuro! 1) Scrivere una descrizione. 2) Nel browser, visitare il sito, fare uno screenshot di un design di regione fatto da questo modello e caricarlo come miniatura. In questo modo i configuratori del sito vedranno a colpo d'occhio a che cosa serviva il vostro modello.</p>
+
+add.label: Aggiungi un riferimento al contenitore-figlio
+remove.label: Rimuovi questo design di regione
+
+component.legend.details: Elementi
+template.label: Modello
+componentClassName.label: Nome del Tipo di Componente
+serverResourcePath.label: Path del Server Risorse
+componentReference.label: Estendi i componenti
+componentReferenceName.label: Riferimento
+
+parameters.label: Parametri
+parameters.add.label: Aggiungi un parametro
+
+template.changed: Il modello \u00e8 cambiato. Premendo salva rimuover\u00e0 tutti gli attuali modelli di regione figli che non sono specificati dal contenitore mappatura del modello.
+reference.changed: Il riferimento \u00e8 cambiato. Premendo salva rimuover\u00e0 tutti gli attuali modelli di regione figlio che non sono specificati dal contenitore mappatura del modello di riferimento.
\ No newline at end of file
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/AddComponentDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/AddComponentDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/AddComponentDialog_it.properties	(revisione 0)
@@ -0,0 +1,5 @@
+dialog.title: Aggiungi una nuova porzione di pagina
+node-unique-validator.error: Esiste gi\u00e0 una porzione di pagina con lo stesso nome
+name.label: Nome
+dialog.intro: Inventare un nome per la nuova porzione di pagina. Un\u00b4altro design di regione potrebbe utilizzare questa porzione di pagina facendo riferimento ad essa con il suo nome.
+
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/ComponentsEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/ComponentsEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/ComponentsEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,5 @@
+title: Gestisci le tue porzioni di pagina
+
+add.label: Aggiungi una nuova porzione di pagina
+intro: <p>Una porzione di pagina \u00e8 una design di regione che non rappresenta una pagina completa e che ha un nome proprio, che \u00e8 possibile inventare. Una design di regione pu\u00f2 utilizzare qualsiasi porzione di pagina riferendi si ad essa con il suo nome. L\u00b4insieme delle porzioni di pagina offre una libreria di design di regione, ognuna delle quali pu\u00f2 essere utilizzata in diversi modelli di pagina. Ci\u00f2 pu\u00f2 avvenire attraverso diversi livelli di contenitori. I modelli di pagina possono essere selezionati nei modelli di URL, mentre le porzioni di pagina no.</p><p><br/>A sinistra si vede una struttura di cartelle. Ogni cartella di livello superiore \u00e8 una porzione di pagina. Il nome della cartella \u00e8 il nome della porzione di pagina. Ogni cartella sotto \u00e8 un design di regione per riempire un contenitore. Questa \u00e8 esattamente la stessa per i modelli di pagina. Il nome di una sottocartella corrisponde al nome di un contenitore. L\u00b4utente non pu\u00f2 inventare che il nome. Verr\u00e0 presentato un elenco di nomi consentito di scegliere. I nomi sono i riferimenti ai contenitori che sono specificati nel modello della cartella principale. Per ogni modello si pu\u00f2 scegliere di definire i modelli di regione.</p>
+
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/AddRestrictedComponentDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/AddRestrictedComponentDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/components/AddRestrictedComponentDialog_it.properties	(revisione 0)
@@ -0,0 +1,4 @@
+dialog.title: Aggiungi un riferimento al contenitore-figlio
+node-unique-validator.error: Un riferimento al contenitore con lo stesso nome esiste gi\u00e0 in questa sezione
+name.label: Nome
+dialog.intro: I modelli possono contenere contenitori-figli. L\u00b4elenco che segue mostra i contenitori figlio nel modello attuale per i quali non \u00e8 stato specificato un design di regione. Selezionare uno di questi contenitori-figlio.
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenuItemEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenuItemEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenuItemEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,15 @@
+title: Definire questa voce di menu
+fieldset.legend: Collegamento a
+
+intro: <p>Una voce di menu ha un nome, che \u00e8 mostrato nel menu del sito. Il nome nel menu collega ad un URL. Questo URL pu\u00f2 essere interno o esterno.</p><p>Un URL interno \u00e8 definito da un design di URL. Si specifica un URL interno tramite un riferimento ad un design di URL. Fare click sul selettore per scegliere uno.</p><p>Vedrete che un riferimento ad un design di URL consiste in schemi di livello separati dallo slashes. Un basso livello di design di URL \u00e8 specificato dagli schemi di livello di tutti i suoi livelli superiori, e dal suo personale schema di livello.</p>
+field.externalLink: URL esterno
+field.sitemap-reference: Riferimento al design di URL
+field.name: Nome
+
+node-unique-validator.error: Esiste gi\u00e0 una voce di menu con lo stesso nome nello stesso ramo
+
+node.removed: Voce di menu {0} rimossa.
+sitemenuitem-validator.error.bothempty: \u00c8 necessario fornire un URL esterno o un riferimento ad un design di URL.
+
+add.label: Aggiungi una voce di menu figlia
+remove.label: Rimuovi questa voce di menu
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/AddSitemenuItemDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/AddSitemenuItemDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/AddSitemenuItemDialog_it.properties	(revisione 0)
@@ -0,0 +1,4 @@
+dialog.title: Aggiungi una nuova voce di menu
+node-unique-validator.error: Esiste gi\u00e0 una voce di menu con lo stesso nome
+dialog.intro: Decidere un nome per la voce di menu figlia. Il nome verr\u00e0 visualizzato nel menu del sito.
+name: Nome
\ No newline at end of file
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenusEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenusEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenusEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,6 @@
+title: Gestisci i tuoi menu
+intro:<p>Un menu del sito \u00e8 una lista o un albero di collegamenti che portano il lettore alle URL pi\u00f9 importanti del sito. Con il design di menu si configura quale collegamento punti ad una certa URL e come i collegamenti sono organizzati in sottomenu.</p><p>\u00c8 possibile definire diversi menu del sito. Un particolare menu del sito apparir\u00e0 in quelle pagine del sito generate da un design di pagina che usa quel menu. Un design di pagina pu\u00f2 utilizzare pi\u00f9 di un menu. Le pagine generate da esso mostreranno pi\u00f9 di un menu.</p><p><br/>A sinistra si vede una struttura di cartelle. Ogni cartella di livello superiore \u00e8 un menu e ogni sottocartella \u00e8 una voce di menu. Il nome di ogni cartella di livello superiore \u00e8 il nome di un menu e il nome di ogni sottocartella \u00e8 il nome di una voce di menu.</p>
+name.label: Nome:
+
+add.label: Aggiungi un nuovo menu
+
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenuEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenuEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/SitemenuEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,8 @@
+title: Definire questo menu
+name.label: Nome:
+
+add.label: Aggiungi una voce di menu figlia
+remove.label: Rimuovi questo menu
+intro: <p>Un menu \u00e8 composto di voci di menu che possono essere costituite anche di altre voci di menu. Ogni voce di menu viene visualizzata nel menu del sito.</p><p><br/>A sinistra si vede una struttura di cartelle. Ogni cartella di livello superiore \u00e8 un menu e ogni sottocartella \u00e8 una voce di menu. Il nome di ogni cartella di livello superiore \u00e8 il nome di un menu e il nome di ogni sottocartella \u00e8 il nome di una voce di menu.</p>
+
+
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/AddSitemenuDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/AddSitemenuDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemenu/AddSitemenuDialog_it.properties	(revisione 0)
@@ -0,0 +1,4 @@
+dialog.title: Aggiungi un nuovo menu
+node-unique-validator.error: Esiste gi\u00e0 un menu con lo stesso nome
+dialog.intro: Inventare un nome per il nuovo menu. Il nome del menu non apparir\u00e0 nel sito. Il menu stesso, una volta creato, apparir\u00e0 solo nelle pagine del sito, se si definisce un design di pagina che utilizza quel menu.
+name: Nome
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/EditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/EditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/EditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1 @@
+add.label: Aggiungi
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/BasicEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/BasicEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/BasicEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,11 @@
+save.label: Salva
+save.succes: Nodo salvato
+
+remove.label: Rimuovi
+node.removed: Nodo ''{0}'' rimosso.
+
+dialog.remove.confirm.title: Pannello di conferma
+dialog.remove.confirm.message: Sei sicuro di voler eliminare ''{0}''?
+
+sorter.up: Su
+sorter.down: Gi\u00f9
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/TemplateEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/TemplateEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/TemplateEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,9 @@
+add.label: Aggiungi un nuovo modello
+remove.label: Rimuovi questo modello
+containers.label: Contenitori
+containers.add.label: aggiungere il nome del contenitore specificato nel modello
+title: Descrivi un modello
+intro: <p>Descrivi un file JSP. Specify its path and the child containers it contains.</p><p>Annotate this template: 1) Type a description. 2) Go to the site, make a screenshot of a region that is rendered by this template and upload it as a thumbnail. In that way, site configurators will see at a glance what the template is for.</p>
+renderPath.label: Render path
+
+fieldset.legend: Dettagli
\ No newline at end of file
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/AddTemplateDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/AddTemplateDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/AddTemplateDialog_it.properties	(revisione 0)
@@ -0,0 +1,4 @@
+dialog.title: Aggiungi un nuovo modello
+node-unique-validator.error: Esiste gi\u00e0 un modello con lo stesso nome
+name.label: Nome
+dialog.intro: Inventa un nome per il nuovo template. Un design di regione far\u00e0 riferimento a questo nome. Con questa descrizione di modello si descriver\u00e0 un file JSP esistente. Questa descrizione verr\u00e0 utilizzato dall\u00b4editor di configurazione e l\u00b4annotazione verr\u00e0 mostrata ai configuratori sito (umani).
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/TemplatesEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/TemplatesEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/templates/TemplatesEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,4 @@
+title: Gestisci i modelli
+intro: <p>A template in this list is a description of a JSP file. JSP files are described here so that information relevant for configuration is known to the editor. The description of a JSP file should be done by the web developer who created the JSP file.</p><p><br/>To the left you see a list of folders. Each folder is a template. The name of each folder is the name of a template. No folder has a sub folder.</p>
+add.label: Aggiungi un nuovo modello
+
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/PageEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/PageEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/PageEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,2 @@
+# add.label: Aggiungi un design di contenitore-figlio
+# remove.label: Rimuovi questo design di pagina o di contenitore
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/PagesEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/PagesEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/PagesEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,3 @@
+add.label: Aggiungi un nuovo design di pagina Web
+intro: <p>Un design di pagina Web definisce come le informazioni sono presentate in ogni pagina Web generata con quel design. Le informazioni effettive in queste pagine saranno diverse. Un design di pagina web ha un nome con il quale pu\u00f2 essere selezionato in un design di URL. \u00c8 possibile inventare nomi per i design di pagina.</p><p><br/>A sinistra \u00e8 possibile vedere una struttura ad albero. Ogni cartella di livello superiore \u00e8 un design di pagina. Il nome della cartella \u00e8 il nome del design di pagina. Ogni sottocartella \u00e8 un design di regione per riempire un contenitore. Il nome di una sottocartella corrisponde al nome di un contenitore. Non \u00e8 possibile inventare questo nome da soli. Verr\u00e0 presentato un elenco di nomi consentiti da scegliere. I nomi sono i riferimenti ai contenitori che sono specificati nel modello della cartella principale. I modelli sono un tipo di elemento nei quali \u00e8 possibile definire design di regione.</p>
+title: gestisci i tuoi designs di pagine Web
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/AddPageDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/AddPageDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/pages/AddPageDialog_it.properties	(revisione 0)
@@ -0,0 +1,4 @@
+dialog.title: Aggiungi un nuovo design di pagina
+dialog.intro: Inventa un nome per il nuovo design di pagina. Un design di pagina ha un nome proprio e pu\u00f2 essere selezionato con quel nome nei design di URL.
+node-unique-validator.error: Esiste gi\u00e0 un design di pagina con lo stesso nome
+name.label: Nome
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/SitemapEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/SitemapEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/SitemapEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,5 @@
+title: Gestisci i design di URL
+intro: <p>Un URL ('Uniform Resource Locator') \u00e8 un indirizzo per una pagina Web. Con un design di URL \u00e8 possibile configurare quali URL vengono utilizzate come indirizzo per quali pagine web.</p><p>Un design di URL comporta una sezione di contenuti di destinazione e una selezione di design di pagina. La pagina web che \u00e8 destinazione per l\u00b4URL presenta il contenuto della destinazione secondo il design della pagina.</p><p>Il design di URL sarebbe stato molto noioso se ogni singolo URL avrebbe dovuto essere accoppiato ad una singola pagina web. Per semplificare il design di URL, gli schemi possono essere utilizzati per configurare molti URL in una sola regola di design.</p><p><br/>A sinistra si vede una struttura di cartelle. Ogni cartella e ogni sottocartella \u00e8 un design di URL. Il nome di ogni cartella e sottocartella \u00e8 uno schema di livello. Uno schema di livello con tutti gli schemi di livello dei precedenti livelli di fronte ad esso \u00e8 lo schema di un URL completo.</p>
+nodename.label: Schema di livello:
+
+add.label: Aggiungi un nuovo design di URL
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/PortalDetails_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/PortalDetails_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/PortalDetails_it.properties	(revisione 0)
@@ -0,0 +1 @@
+portal.details.legend: Dettagli Portale
\ No newline at end of file
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/SitemapItemEditorPlugin_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/SitemapItemEditorPlugin_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/SitemapItemEditorPlugin_it.properties	(revisione 0)
@@ -0,0 +1,18 @@
+title: Definire questo design di URL
+
+add.label: Aggiungi un design di URL figlio
+remove.label: Rimuovi questo design di URL
+
+intro: <p>Questo design di \u00e8 per gli URL che terminano con lo schema di livello sotto indicato. I livelli precedenti dell'URL sono definiti dai livelli precedenti dei design di URL. Gli schemi consentiti sono *, **, *.html, **.html e un nome specifico. Aggiungere un design di URL figlio di test per ottenere ulteriori chiarimenti.</p><p>Un URL \u00e8 un indirizzo per una pagina Web. La pagina web di destinazione \u00e8 costituita da informazioni presentate in base al design della pagina web. \u00c8 possibile specificare un percorso di contenuti per i contenuti nel CMS. Molti design di pagine Web usano contenuto che in qualche modo \u00e8 collegato al percorso del contenuto. I designs delle pagina Web che non sono destinati a contenuti presenti nel CMS ignorano il percorso del contenuto.</p>
+fieldset.legend: Destinazione
+
+matcher.label: Schema di livello
+matcher.contentpath: Percorso del contenuto
+
+page.label: Design di pagina
+page.new.label: Crea un nuovo design di pagina Web
+page.picker.label: <b>Design di pagina:</b> Browse the list below and click to select a web page design<br/>or
+
+node-unique-validator.error: A URL design with the same level pattern already exists under the same parent level
+node.removed: Design di URL {0} rimosso.
+
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/wizard/NewPageWizard$PageNameStep_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/wizard/NewPageWizard$PageNameStep_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/wizard/NewPageWizard$PageNameStep_it.properties	(revisione 0)
@@ -0,0 +1,2 @@
+pagename.title: Introduzione 
+page.wizard.step1.name: Nome Pagina
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/wizard/NewPageWizard_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/wizard/NewPageWizard_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/wizard/NewPageWizard_it.properties	(revisione 0)
@@ -0,0 +1 @@
+page.new.wizard: Wizard - nuova pagina
\ No newline at end of file
Index: frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/AddSitemapItemDialog_it.properties
===================================================================
--- frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/AddSitemapItemDialog_it.properties	(revisione 0)
+++ frontend/src/main/java/org/hippoecm/hst/plugins/frontend/editor/sitemap/AddSitemapItemDialog_it.properties	(revisione 0)
@@ -0,0 +1,13 @@
+dialog.title: Aggiungi uno schema di livello per il nuovo design di URL
+dialog.intro: <p>Specifica lo schema di livello per il nuovo design di URL. Scegli uno degli schemi o indica un nome specifico.<p/><p>Se esiste gi\u00e0 uno schema *.html sotto lo stesso ramo, lo schema * non corrisponder\u00e0 agli htmls. Questo vale anche per **.html.</p>
+node-unique-validator.error: Un desgin di URL con questo schema di livello esiste gi\u00e0 sotto lo stesso ramo
+
+matcher: Schema del livello:
+matcher.choices: Scelta degli schemi di livello:
+
+CUSTOM: Nome specifico (ad es. news o index.html)
+WILDCARD: *  = _default_ : Tutte le combinazioni in questo livello
+INFINITE: ** = _any_ : Tutte le combinazioni, a livelli infiniti
+WILDCARD_HTML: *.html  = _default_.html : Tutte le combinazioni html in questo livello
+INFINITE_HTML: **.html = _any_.html : Tutte le combinazioni html, a livelli infiniti
+
Index: repository/src/main/resources/hst-editor-pickers.xml
===================================================================
--- repository/src/main/resources/hst-editor-pickers.xml	(revisione 31337)
+++ repository/src/main/resources/hst-editor-pickers.xml	(copia locale)
@@ -224,6 +224,17 @@
 	            <sv:value>Sitemap mapping</sv:value>
 	          </sv:property>
 	        </sv:node>
+	        <sv:node sv:name="hippo:translation">
+	          <sv:property sv:name="jcr:primaryType" sv:type="Name">
+	            <sv:value>hippo:translation</sv:value>
+	          </sv:property>
+	          <sv:property sv:name="hippo:language" sv:type="String">
+	            <sv:value>it</sv:value>
+	          </sv:property>
+	          <sv:property sv:name="hippo:message" sv:type="String">
+	            <sv:value>Mappatura URL</sv:value>
+	          </sv:property>
+	        </sv:node>
 	      </sv:node>
       </sv:node>
     </sv:node>