Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_nl.properties
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_nl.properties	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_nl.properties	(revision )
@@ -1,2 +1,3 @@
+picker-format=d-M-yyyy
 set-to-current-date=Huidige datum en tijd
 set-to-current-date-tooltip=Klik om de huidige datum en tijdstip in te stellen
\ No newline at end of file
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_it.properties
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_it.properties	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_it.properties	(revision )
@@ -1,2 +1,3 @@
+picker-format=d/M/yyyy
 set-to-current-date=Data e ora correnti
 set-to-current-date-tooltip=Clicca per impostare data e ora correnti
\ No newline at end of file
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.java
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.java	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.java	(revision )
@@ -34,6 +34,7 @@
 import org.apache.wicket.model.IModel;
 import org.apache.wicket.model.LoadableDetachableModel;
 import org.apache.wicket.model.PropertyModel;
+import org.apache.wicket.model.StringResourceModel;
 import org.joda.time.DateTimeFieldType;
 import org.joda.time.DateTimeZone;
 import org.joda.time.MutableDateTime;
@@ -60,12 +61,17 @@
     private YuiDatePickerSettings settings;
 
     public YuiDateTimeField(String id, IModel<Date> model) {
-        this(id, model, new YuiDatePickerSettings());
+        this(id, model, null);
     }
 
     public YuiDateTimeField(String id, IModel<Date> model, YuiDatePickerSettings settings) {
         super(id, model);
 
+        if (settings == null) {
+            final StringResourceModel pickerFormat = new StringResourceModel("picker-format", this, null);
+            settings = new YuiDatePickerSettings(pickerFormat.toString());
+        }
+
         this.settings = settings;
 
         setOutputMarkupId(true);
@@ -217,5 +223,4 @@
             }
         });
     }
-
 }
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_fr.properties
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_fr.properties	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField_fr.properties	(revision )
@@ -1,2 +1,3 @@
+picker-format=d-M-yyyy
 set-to-current-date=Date et heure courantes
 set-to-current-date-tooltip=Cliquez pour mettre date et heure courantes
Index: editor/frontend/src/main/java/org/hippoecm/frontend/editor/plugins/DatePickerPlugin.java
===================================================================
--- editor/frontend/src/main/java/org/hippoecm/frontend/editor/plugins/DatePickerPlugin.java	(revision 31399)
+++ editor/frontend/src/main/java/org/hippoecm/frontend/editor/plugins/DatePickerPlugin.java	(revision )
@@ -29,11 +29,11 @@
 
 public class DatePickerPlugin extends RenderPlugin<Date> {
     @SuppressWarnings("unused")
-    private final static String SVN_ID = "$Id: DatePickerPlugin.java 20739 2009-11-20 13:44:22Z fvlankvelt $";
+    private final static String SVN_ID = "$Id:$";
 
     private static final long serialVersionUID = 1L;
 
-    static final Logger log = LoggerFactory.getLogger(DatePickerPlugin.class);
+    static final Logger log = LoggerFactory.getLogger(org.hippoecm.frontend.editor.plugins.DatePickerPlugin.class);
 
     public DatePickerPlugin(IPluginContext context, IPluginConfig config) {
         super(context, config);
@@ -42,7 +42,7 @@
         if ("edit".equals(config.getString("mode", "view"))) {
             add(new DateFieldWidget("value", valueModel, context, config));
         } else {
-            add(new DateLabel("value", valueModel, new StyleDateConverter(true)));
+            add(new DateLabel("value", valueModel, new StyleDateConverter("L-", true)));
         }
         setOutputMarkupId(true);
     }
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/DateFieldWidget.java
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/DateFieldWidget.java	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/DateFieldWidget.java	(revision )
@@ -26,13 +26,12 @@
 
 public class DateFieldWidget extends Panel {
     @SuppressWarnings("unused")
-    private final static String SVN_ID = "$Id: DateFieldWidget.java 19048 2009-07-28 16:08:33Z abogaart $";
+    private final static String SVN_ID = "$Id$";
 
     private static final long serialVersionUID = 1L;
 
     public DateFieldWidget(String id, IModel<Date> model, IPluginContext context, IPluginConfig config) {
         super(id, model);
-        
         YuiDatePickerSettings settings = new YuiDatePickerSettings();
         if (config.containsKey("datepicker")) {
             try {
@@ -41,11 +40,9 @@
                 throw new RuntimeException(e);
             }
         }
-
         YuiDateTimeField dateTimeField = new YuiDateTimeField("widget", model, settings);
         boolean todayLinkVisible = config.getAsBoolean("show.today.button", true);
         dateTimeField.setTodayLinkVisible(todayLinkVisible);
         add(dateTimeField);
     }
-
-}
+}
\ No newline at end of file
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.html
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.html	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.html	(revision )
@@ -17,7 +17,7 @@
 <wicket:panel>
   <span class="yui-date-time-field">
   	<span class="yui-date-time-field-input">
-      <input type="text" wicket:id="date" size="12" class="date" maxlength="12"/>
+      <input type="text" wicket:id="date" size="14" class="date" maxlength="14"/>
       <input type="text" wicket:id="hours" size="2" class="time" maxlength="2"/>
       <span class="time-separator">:</span>
       <input type="text" wicket:id="minutes" size="2" class="time" maxlength="2"/>
Index: gallery/frontend/src/main/java/org/hippoecm/frontend/plugins/gallery/ImageGalleryPlugin.css
===================================================================
--- gallery/frontend/src/main/java/org/hippoecm/frontend/plugins/gallery/ImageGalleryPlugin.css	(revision 31399)
+++ gallery/frontend/src/main/java/org/hippoecm/frontend/plugins/gallery/ImageGalleryPlugin.css	(revision )
@@ -51,10 +51,10 @@
     width: 100px;
     display: block;
     white-space: nowrap;
+    overflow: hidden;
     text-overflow: ellipsis;
     -o-text-overflow: ellipsis;
     -ms-text-overflow: ellipsis;
-    overflow: hidden;
     -moz-binding: url('ellipsis.xml#ellipsis');
 }
 
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDatePickerSettings.java
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDatePickerSettings.java	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDatePickerSettings.java	(revision )
@@ -17,42 +17,26 @@
 package org.hippoecm.frontend.plugins.yui.datetime;
 
 import java.io.Serializable;
-import java.text.SimpleDateFormat;
-import java.util.Date;
 
-import org.apache.wicket.Application;
-import org.apache.wicket.Session;
-import org.apache.wicket.datetime.DateConverter;
-import org.apache.wicket.util.convert.IConverter;
-import org.joda.time.DateTime;
-
 public class YuiDatePickerSettings implements Serializable {
-    private static final long serialVersionUID = 1L;
-
-    private static String resolveDatePattern() {
-        Application app = Application.get();
-        if (app != null) {
-            IConverter converter = app.getConverterLocator().getConverter(DateTime.class);
-            if (!(converter instanceof DateConverter)) {
-                converter = app.getConverterLocator().getConverter(Date.class);
-            }
-            Session session = Session.get();
-            if (session != null) {
-                return ((SimpleDateFormat) ((org.apache.wicket.util.convert.converters.DateConverter) converter)
-                        .getDateFormat(session.getLocale())).toPattern();
-            }
-        }
-        return "d-M-yy";
-    }
-
     @SuppressWarnings("unused")
     private final static String SVN_ID = "$Id$";
+    private static final long serialVersionUID = 1L;
+    public static final String DEFAULT_DATE_PATTERN = "M/d/yyyy";
 
-    private String datePattern = resolveDatePattern();
+    private String datePattern;
     private boolean hideOnSelect = true;
     private boolean fireChangeEvent = true;
     private boolean close = true;
 
+    public YuiDatePickerSettings() {
+        this(DEFAULT_DATE_PATTERN);
+    }
+
+    public YuiDatePickerSettings(String datePattern) {
+        this.datePattern = datePattern;
+    }
+
     public String getDatePattern() {
         return datePattern;
     }
@@ -84,4 +68,4 @@
     public void setClose(boolean close) {
         this.close = close;
     }
-}
+}
\ No newline at end of file
Index: xinha-integration/src/main/java/org/hippoecm/frontend/plugins/xinha/dialog/images/ImageBrowserDialog.html
===================================================================
--- xinha-integration/src/main/java/org/hippoecm/frontend/plugins/xinha/dialog/images/ImageBrowserDialog.html	(revision 31399)
+++ xinha-integration/src/main/java/org/hippoecm/frontend/plugins/xinha/dialog/images/ImageBrowserDialog.html	(revision )
@@ -26,7 +26,7 @@
             </div>
         </form>
 
-        <div wicket:id="content"></div>
+        <div wicket:id="content">[content]</div>
 
         <div class="hippo-picker-properties ">
             <div class="hippo-dialog-align">
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.properties
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.properties	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/YuiDateTimeField.properties	(revision )
@@ -1,2 +1,3 @@
+picker-format=M/d/yyyy
 set-to-current-date=Current date and time
 set-to-current-date-tooltip=Click to set current date and time
\ No newline at end of file
Index: api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/yuidatetime.css
===================================================================
--- api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/yuidatetime.css	(revision 31399)
+++ api/src/main/java/org/hippoecm/frontend/plugins/yui/datetime/yuidatetime.css	(revision )
@@ -17,7 +17,7 @@
 }
 
 .yui-date-time-field input.date {
-  width: 50px;
+  width: 70px;
 }
 
 .yui-date-time-field input.time {